Subject: bug#6134: `make distclean' doesn't remove .elc files

From: Glenn Morris <[email-masked]>
Date: Fri, 07 May 2010 13:20:26 -0400

Paul Pogonyshev wrote:

> When I invoke
>
>     make distclean
>
> in a repository clone, I expect to get a completely clean tree, so
> that next recompilation doesn't use any leftovers of previous one.
> However, .elc files are not deleted

The .elc files are included in release tar-files, so it is
inappropriate for distclean to remove them.

Unless CPU time is a constraint, I recommend maintainer-clean with VCS
checkouts. Or use `make bootstrap', as suggested in INSTALL.BZR.